# DecoratorController Class Reference
[Spring-like webflow tools]

Inheritance diagram for DecoratorController:
[legend]

List of all members.

## Public Member Functions

| __construct (Controller $inner)
| handleRequest (HttpRequest $request)

## Protected Attributes

| $inner = null

## Detailed Description

Definition at line 15 of file DecoratorController.class.php.

## Constructor & Destructor Documentation

DecoratorController::__construct | ( | Controller $ | inner | ) |

Definition at line 19 of file DecoratorController.class.php.

## Member Function Documentation

DecoratorController::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 27 of file DecoratorController.class.php.

## Member Data Documentation

DecoratorController::$inner = null`[protected]`

Definition at line 17 of file DecoratorController.class.php.

The documentation for this class was generated from the following file:

- main/Flow/DecoratorController.class.php